NeuralEngine A Game Engine with embeded Machine Learning algorithms based on Gaussian Processes. |

Public Member Functions | Private Member Functions | Friends | List of all members
NeuralEngine::MachineLearning::DiscreteGraph Class Reference
Inheritance diagram for NeuralEngine::MachineLearning::DiscreteGraph:
[legend]
Collaboration diagram for NeuralEngine::MachineLearning::DiscreteGraph:
[legend]

## Public Member Functions
| DiscreteGraph (std::vector< DiscreteFactorNode * > &factorNodes)
void | ComputeMarginal (int numIter, double tolerance=1e-6f)
Public Member Functions inherited from NeuralEngine::MachineLearning::IGraph< DiscreteFactorNode, DiscreteVariableNode >
| IGraph (std::vector< DiscreteFactorNode * > &factorNodes)
| Constructor. More...
| ~IGraph ()
| Destructor. More...
virtual void | ComputeMarginal (int numIter, double tolerance=1e-6f)=0

## Private Member Functions
template<class Archive >
void | serialize (Archive &ar, unsigned int version)

## Friends
class | boost::serialization::access

## Additional Inherited Members
Protected Attributes inherited from NeuralEngine::MachineLearning::IGraph< DiscreteFactorNode, DiscreteVariableNode >
std::vector< DiscreteFactorNode * > | factorList
std::vector< DiscreteVariableNode * > | variableList

## Detailed Description

Definition at line 21 of file FgDiscreteGraph.h.

## Member Function Documentation

## ◆ ComputeMarginal()

void NeuralEngine::MachineLearning::DiscreteGraph::ComputeMarginal | ( | int | numIter,
|  | double | tolerance = `1e-6f`
| ) |  |
| virtual

Implements NeuralEngine::MachineLearning::IGraph< DiscreteFactorNode, DiscreteVariableNode >.

## ◆ serialize()

template<class Archive >

void NeuralEngine::MachineLearning::DiscreteGraph::serialize | ( | Archive & | ar,
|  | unsigned int | version
| ) |  |
| inline private

Definition at line 33 of file FgDiscreteGraph.h.

## Friends And Related Function Documentation

## ◆ boost::serialization::access

friend class boost::serialization::access
| friend

Definition at line 30 of file FgDiscreteGraph.h.

The documentation for this class was generated from the following file:

- FgDiscreteGraph.h